Bug 200032 - rpmlint backtrace when spec says file exists but it doesn't
rpmlint backtrace when spec says file exists but it doesn't
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-24 17:57 EDT by Matt Domsch
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.78-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-24 12:15:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2006-07-24 17:57:24 EDT
+++ This bug was initially created as a clone of Bug #200031 +++

Description of problem:
$ rpmlint authconfig-5.3.3-2.i386.rpm
W: authconfig no-url-tag
W: authconfig symlink-should-be-relative /usr/sbin/authconfig-tui
/usr/share/authconfig/authconfig-tui.py
W: authconfig symlink-should-be-relative /usr/sbin/authconfig
/usr/share/authconfig/authconfig.py
Traceback (most recent call last):
  File "/usr/share/rpmlint/rpmlint.py", line 250, in ?
    main()
  File "/usr/share/rpmlint/rpmlint.py", line 83, in main
    runChecks(pkg)
  File "/usr/share/rpmlint/rpmlint.py", line 138, in runChecks
    c.check(pkg)
  File "/usr/share/rpmlint/PamCheck.py", line 33, in check
    self.check_pam_file(pkg, dirname, i)
  File "/usr/share/rpmlint/PamCheck.py", line 36, in check_pam_file
    f = open(directory + filename)
IOError: [Errno 2] No such file or directory:
'/tmp/authconfig-5.3.3-2.i386.rpm.30511/etc/pam.d/system-auth-ac'


of course, that file doesn't exist if you 'rpm -qpil
authconfig-5.3.3-2.i386.rpm'.  So the spec file must say it exists, but then
it's not in the package.

rpmlint shouldn't backtrace though.


Version-Release number of selected component (if applicable):
rpmlint-0.76-1.fc5
Comment 1 Ville Skyttä 2006-07-25 02:27:43 EDT
Ack, happens also with the current version, 0.77-1.fc5.  Removing dependency on
bug 200031, authconfig package changes are not a prerequisite for fixing this in
rpmlint.
Comment 2 Ville Skyttä 2006-09-24 12:15:41 EDT
Fixed in 0.78-1.

Note You need to log in before you can comment on or make changes to this bug.